@import "fonts.css";

:root {
	--unit: 14px;
}

body {
  width: auto;
  height: 100vh;
  font-family: "routed-gothic";
  font-size: calc(var(--unit) * 1.5);
  color: OrangeRed;
  margin: 0;
  /* background-color: black; */
  display: grid;
  overflow-y: scroll;
  grid-template-columns: repeat(16, minmax(10px, 1fr));
  grid-template-rows: repeat(16, minmax(10px, 1fr));
}

input[type="file"] {
  font-size: 1em;
  border: solid 1px rgb(255, 53, 53);
}


details.formulaire_liste summary, 
details.chercherdans summary {
  transform: rotate(-10deg);
  display: grid;
  padding: 2% 0 2% 0;
  border: none;
  cursor: s-resize;
  justify-content: center;
}




details.formulaire_liste, 
details.chercherdans {
  padding-right: 20%;
  grid-column: span 3;
  justify-content: center;
}

details.formulaire_liste[open],
details.chercherdans[open]{
  border: none;
}

details.formulaire_liste ul,
details.chercherdans ul {
  padding-top: 10px;
}

::selection {
  color: white;
  background: orangered;
}

.nav_droite {
  display: grid;
  grid-area: 1 / 8 / 8 / 8;
  line-height: 1.5;
  grid-template-columns: subgrid;
  grid-template-rows: subgrid;
  align-items: start;
  justify-items: right;
  padding-right: 5px;
}

footer{
  width: auto;
  grid-row: 16;
  margin-top: 20%;
}

footer nav a#left {
  position: fixed;
  left: 2%;
}

footer #right {
  display: inline-flex;
  position: fixed;
  right: 2%;
  justify-content: space-between;
}
footer #right a {
  padding-left: 30px;
}


header {
  position: fixed;
  left: 40px;
  top: 350px;
  text-transform: uppercase;
  font-family: "caslongue";
  font-size: 70px;
  letter-spacing: 5px;  transform: rotate(270deg);
  transform: rotate(270deg);
  transform-origin:left;
}

a {
  text-decoration: none;
  color: orangered;
}

.titre a {
  text-decoration: none;
  color: rgb(255, 255, 255);
}

#bouton-langue {
  background-color: white;
  border: 1px orangered solid;
  border-radius: 5px;
  grid-row: 1;
  grid-column: 16;
  padding: 8px 10px 5px 10px;
  font-family: "routed-gothic";
  color: orangered;
  align-self: center;
  justify-self: center;
  font-size: 16px;
}

#bouton-langue:hover {
  background-color: orangered;
  color: white;
}

.grille-centre {
  display: grid;
  grid-area: 2 / 2 / 8 / 16;
  display: flex;
  flex-flow: row wrap;
}

.grille-centre-resultats {
  display: grid;
  grid-area: 4 / 2 / 8 / 16;
  display: flex;
  flex-flow: row wrap;
}

.resultats {
  display: grid;
  grid-area: 2 / 2 / 8 / 16;
  display: flex;
  flex-flow: row wrap; }

  /* justify-content: start; */
  /* max-height: 80%;
  max-width:auto;
  margin-left: 20%;
  margin-right: 20%; */


.bloc_grille {
  box-sizing: border-box;
  min-width: 9%;
  max-width: 30%;
  flex-grow: 1.2;
  margin: 5px;
  border: 1px solid orangered;
  border-radius: 5px 5px 5px 5px;
}

.home-content {
  grid-area: 2 / 2 / 8 / 16;
}

.description_home {
  font-size: 35px;
  text-align: center;
  max-width: 70%;
  margin: auto;
}

.doc-home:nth-of-type(n+2) {
  padding-top: 30px;
}

.bloc_resultats {
  box-sizing: border-box;
  min-width: 9%;
  max-width: 30%;
  flex-grow: 1.2;
  margin: 5px;
  /* padding: 1%; */
  /* grid-column: span 1; */
  /* grid-row: span 1; */
  border: 1px solid orangered;
  border-radius: 5px 5px 5px 5px;
}

.bloc_collection{
  /* border-bottom: 2px dotted orangered;
  border-left: 2px dotted orangered; */
  min-width: 9%;
  max-width: 30%;
  background-color: white;
  margin: 15px;
  padding: 1%;
  display: flex;
  border-radius: 10px;
  border-bottom:solid 1px orangered;
}
.bloc_collection:hover {
  box-shadow: #ff4500 0px 0px 0px 1px inset, orangered 3px 0px 0px -1px, orangered 3px -3px, orangered 6px -6px 0px -1px, orangered 6px -6px, orangered 9px -9px 0px -1px, orangered 9px -9px;
  cursor: pointer;
}

.bloc_collection ul {
  display: flex;
  justify-content: flex-end;
  flex-direction: column;
}

.bloc_grille .titre {
  font-size: 18px;
  font-family: "hanken-light";
  text-transform: lowercase;
  /* display: inline-flex; */
  color: white;
  background-color: orangered;
  align-items: baseline;
  padding: 2% 0 0 2%;
  word-wrap: break-word;
  max-height: fit-content;
  /* height: 100%;  */
}
 


.bloc_collection .titre {
  font-family: "caslongue";
  font-size: 40px;
  letter-spacing: 3px;
}

.description {
  font-size: 12px;
  border-top: solid 1px orangered;
  padding: 3%;
  line-height: 15px;
  min-height: max-content;
}

details summary {
  border: 1px solid orangered;
  border-radius: 5px 5px 5px 5px;
  display: grid;

}
details[open]{
  border: 1px solid orangered;
  border-radius: 5px 5px 5px 5px;
}

summary [open] {
  padding: 0;
}



/* .bloc_grille:hover {
  background-color: orangered;
  color: white;
  cursor: pointer;
} */

/* .bloc_grille:hover .titre {
text-transform:uppercase;
} */


.bloc_collection .description {
  padding-left: 20px;
  border: 0;
  display: flex;
}

.pseudo {
  font-size: 10px;
  /* padding: 3%; */
  font-family: "hanken-light";
  text-align: right;
}

#user {
  font-size: 16px;
  text-align: right; 
  font-variant: small-caps;
  text-transform: lowercase;
  letter-spacing: 3px;
}

form {
  grid-area: 2 / 2 / 16 / 16;
  display: grid;
  grid-template-columns: subgrid;
  grid-template-rows: subgrid;
  column-gap: 15px;
  row-gap: 15px;
}


.resultats {
  grid-area: 2 / 2 / 2 / 16;
  display: grid;
  grid-template-columns: subgrid;
  grid-template-rows: subgrid;
  column-gap: 15px;
  row-gap: 15px;
}

.motCle {
  grid-row: 1;
  grid-column: span 6;
  border-bottom: solid 1px orangered;
  font-size: 30px;
}


input {
  border: 0;
  font-family: "routed-gothic";
  color: orangered;
  font-size: 20px;
 
}

input[type="file"] {
/* display: none; */
}

/* input[type="file"]::before {
  background-color: aqua;
  width: 30px;
  } */

textarea {
  font-family: "routed-gothic";
  color: orangered;
  font-size: 20px;
  border: 1px solid orangered;
  resize: none;
}

.formulaire_titre {
  grid-row: span 2;
  grid-column: span 14;
  border-bottom: 1px solid orangered;
  outline: none;
  font-size: 30px;
  border-bottom: 2px dotted orangered;
}

.formulaire_contributeurices {
  grid-row: span 2;
  grid-column: span 12;
  border-bottom: 1px solid orangered;
  outline: none;
  font-size: 30px;
  border-bottom: 2px dotted orangered;
}

.formulaire_date {
  grid-row: span 1;
  grid-column: span 2;
  align-self: center;
  outline: none;
}

.formulaire_liste {
  grid-row: 5;
  grid-column: span 2;
  font-size: 20px;
}

.formulaire_liste input[type="checkbox"] {
  margin-left: 20px;
}

form h1 {
  transform: rotate(-10deg);
  font-size: 20px;
  width: fit-content
}

.formulaire_description {
  grid-row: 5/13;
  grid-column: 7/18;
  outline: none;
  padding: 1%;
}

.formulaire_description_col {
  grid-row: span 10;
  grid-column: span 14;
  outline: none;
  padding: 1%;
}

.formulaire_parcourir {
  grid-column:11/ span 2;
  grid-row: 13/span 2;
  cursor: pointer;
  border: solid 1px orangered;
  text-align: center;
  justify-self: center;
  align-self: center;
  transform: rotate(-5deg);
  padding: 0px 10px 0px 10px;
}

.formulaire_parcourir:hover {
  cursor: pointer;
  background-color: orangered;
  color: white;
}

.formulaire_icone {
  grid-column: 1/7;
  grid-row: 10/14;
  flex-flow: row;
}

.formulaire_icone ul {
  font-family: "maxisource";
  font-size: 40px;
  display: inline-flex;
  flex-wrap: wrap;
  overflow-y: none;
  margin-left: 20px;
  height: 100%;
  margin-top: 5%;
}




input[type=checkbox] {
	-webkit-appearance: none;
}

input[type=checkbox]:before {
  font-size: 20px;
  text-align: center;
  line-height: 18px;
  padding-right: 4%;
  padding-right: 10px;
  font-family: "maxisource";
  cursor: pointer;
  height: 50%;
}

input[type=checkbox]:checked:before {
    text-align: center;
    line-height: 18px;
    padding-right: 10px;
    font-family: "maxisource";
    cursor: pointer;
    mix-blend-mode: multiply;
}

.formulaire_liste input[type=checkbox]:before {
    content: "B";
    font-size: 50px;
}

.formulaire_liste input[type=checkbox]:checked:before {
      content: "A";
}

.formulaire_icone input[type=checkbox]:before {
    content: attr(value);
    font-size: 50px;
    background-color: white;
    border-radius: 5px;
    padding: 8px 5px 6px 5px;
  }
    
.formulaire_icone input[type=checkbox]:checked:before {
      color: white;
      content: attr(value);
      background-color: orangered;
}

.formulaire_pseudo {
  grid-column: 7/ span 4;
  grid-row: 13/span 2;
  border-bottom: 2px dotted orangered;
  outline: none;
  font-size: 30px;
}

.formulaire_enregistrer {
  grid-column: 13/ span 2;
  grid-row: 13/span 2;
  cursor: pointer;
  border: 1px solid orangered;
  justify-self: center;
  align-self: center;
  transform: rotate(-5deg);
  padding: 1%;
  background-color: orangered;
  color: white;
}


label .formulaire_enregistrer {
  display: flex;
}

input[value="enregistrer"]{
  background: none;
  cursor: pointer;
  color: white;
}

input[value="upload"]{
  background: none;
  cursor: pointer;
  color: white;
}

button[value="rechercher"]{
  background: none;
  transform: rotate(-10deg);
  cursor: pointer;
  padding: 2%;
  cursor: pointer;
  border: 1px solid orangered;
  justify-self: center;
  align-self: center;
  padding: 2%;
  color: orangered;
  font-family: "routed-gothic";
  font-size: 20px;
}

.chercherdans {
  grid-row: 1;
  grid-column: span 2;
  font-size: 20px;
}


button[value="rechercher"]:hover{
  background: orangered;
  border: solid 1px orangered;
  cursor: pointer;
  padding: 2%;
  color: white;
}

.barre_recherche {
  grid-row: 1;
  grid-column: span 6;
  border-bottom: solid 1px orangered;
  outline: none;
  font-size: 30px;
}

/* input[type="radio"] {
  display: none;
} */






/* summary::marker {
    display: none;
    content: "";
} */

/* .title {
  font-size: calc(var(--unit) * 3);
} */

details, summary {
  display: block;
}

details ul li{
  list-style: none;
}

details ul {
margin: 0;
padding: 0;
overflow-y: auto;
}

summary {
  cursor: pointer;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
  /* overflow-y: auto; */
}



/* .open:hover {
  color: rgb(0, 0, 0);
  cursor: pointer;
} */


.titre a:hover {
  cursor: pointer;
}


#infoLeft {
  background-color: rgb(255, 255, 255);
  width: 46%;
  height: 92%;
  margin: 1% 0 0% 4%;
  /* display: none; */
  position: absolute;
  box-sizing: border-box;
  border: solid 1px orangered;
  border-radius: 5px 0 0 5px;
}

.infoDoc .titre{
padding: 1% 0 1% 1%;
background-color: orangered;
color: white;
cursor:initial;
}

.infoDoc .description {
  margin: 2% 4% 0 0;
  font-size: 16px;
  line-height: normal;
  position: absolute;
  right: 0;
  width: 60%;
  border: solid 1px orangered;
}


.infoDoc .infoTags li {
  border-bottom: solid 1px orangered;
  max-width: fit-content;
  margin: 4% 0 2% 4%;
  padding: 0;
  transform: rotate(-10deg);
}

.infoDoc .pseudo {
  font-size: 16px;
  line-height: normal;
}

.infoDoc ul li {
  padding: 2%;
}

.infoDoc .modifier {
  position: absolute;
  bottom: 0;
  cursor: pointer;
  margin: 0 0 1% 4%;
}


#infoRight {
  background-color: rgb(255, 255, 255);
  right: 4%;
  width: 46%;
  height: 92%;
  margin: 1% 0 0 0;
  display: none;
  position: fixed;
  box-sizing: border-box;

}

.bloc_grille #picto{
  color: white;
  font-family: "maxisource";
  font-size: 40px;
}

#infoLeft #picto {
  color: rgb(255, 255, 255);
  font-family: "maxisource";
  font-size: 40px;
}

#home {
z-index: 10;
position: absolute;
}


.close {
  transform: rotate(45deg);
  position: absolute;
  right: 0;
  margin: 1%;
  cursor: pointer;
  color: white;
}

.fermer,
.openInfoRight {
  position: absolute;
  left: 100%;
  top: 30%;
  /* writing-mode: sideways-rl; */
  transform: rotate(270deg);
  transform-origin: 0 0;
  padding: 1% 1% 1% 1%;
  box-sizing: border-box;
  border: solid 1px orangered;
}

.openInfoRight {
  cursor: e-resize;
}

.fermer {
  cursor: w-resize;
}

.fermer:hover,
.openInfoRight:hover {
  background-color: orangered;
  color: white;
}

.pdf {
  width: 100%;
  height: 100%;
  border: solid 1px orangered;
  border-left: none;
  box-sizing: border-box;
  border-radius: 0 0 5px 0;


}

iframe {
  border: none;
}

#collectionDocs {
  width: 80%;
  border: solid 1px orangered;
  height: 20%;
}